php_funccalls.d(1m)

NAME
php_funccalls.d - measure PHP function calls using DTrace.

SYNOPSIS
php_funccalls.d

DESCRIPTION
This traces PHP activity from all running programs on the system which support the PHP DTrace provider. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Php provider, which may change as additional features are introduced. Check Php/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # php_funccalls.d

FIELDS

FUNC
    PHP function name

CALLS
    Function calls during this sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
php_funccalls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)